    # File lib/chef/formatters/error_mapper.rb, line 52
          def self.cookbook_resolution_failed(expanded_run_list, exception)
            error_inspector = ErrorInspectors::CookbookResolveErrorInspector.new(expanded_run_list, exception)
            headline = "Error Resolving Cookbooks for Run List:"
            description = ErrorDescription.new(headline)
            error_inspector.add_explanation(description)
            return description
          end